## pydantic 1.2

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort -rc pydantic tests
black = black -S -l 120 --target-version py36 pydantic tests

.PHONY: install
install:
	pip install -U setuptools pip
	pip install -U -r requirements.txt
	SKIP_CYTHON=1 pip install -e .

.PHONY: build-cython-trace
build-cython-trace:
	python setup.py build_ext --force --inplace --define CYTHON_TRACE

.PHONY: build-cython
build-cython:
	python setup.py build_ext --inplace

.PHONY: format
format:
	$(isort)
	$(black)

.PHONY: lint
lint:
	flake8 pydantic/ tests/
	$(isort) --check-only
	$(black) --check

.PHONY: check-dist
check-dist:
	python setup.py check -ms
	SKIP_CYTHON=1 python setup.py sdist
	twine check dist/*

.PHONY: mypy
mypy:
	mypy pydantic

.PHONY: test
test:
	pytest --cov=pydantic
	@python tests/try_assert.py

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: testcov-compile
testcov-compile: build-cython-trace test
	@echo "building coverage html"
	@coverage html

.PHONY: test-examples
test-examples:
	@echo "running examples"
	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'python {} >/dev/null 2>&1 || (echo "{} failed")'

.PHONY: all
all: testcov lint mypy

.PHONY: benchmark-all
benchmark-all:
	python benchmarks/run.py

.PHONY: benchmark-pydantic
benchmark-pydantic:
	python benchmarks/run.py pydantic-only

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f pydantic/*.c pydantic/*.so
	python setup.py clean
	rm -rf site
	rm -rf docs/_build
	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html

.PHONY: docs
docs:
	./docs/build/main.py
	mkdocs build
	@# to work with the old sphinx build and deploy:
	@rm -rf docs/_build/
	@mkdir docs/_build/
	@cp -r site docs/_build/html

.PHONY: docs-serve
docs-serve:
	./docs/build/main.py
	mkdocs serve

.PHONY: publish
publish: docs
	zip -r site.zip site
	@curl -H "Content-Type: application/zip" -H "Authorization: Bearer ${NETLIFY}" \
	      --data-binary "@site.zip" https://api.netlify.com/api/v1/sites/pydantic-docs.netlify.com/deploys

=== requirements.txt ===
-r benchmarks/requirements.txt
-r docs/requirements.txt
-r tests/requirements.txt

devtools==0.5.1
email-validator==1.0.5
dataclasses==0.6; python_version < '3.7'
typing-extensions==3.7.4.1

=== benchmarks/requirements.txt ===
# no versions since benchmarks should always run with the most recent version of each package

python-dateutil
trafaret
django
djangorestframework
marshmallow
valideer
attr
cattrs
cerberus

=== docs/requirements.txt ===
ansi2html==1.5.2
mkdocs==1.0.4
pygments==2.5.1
mkdocs-exclude==1.0.2
mkdocs-material==4.5.0
markdown-include==0.5.1
sqlalchemy   # pyup: ignore
orjson       # pyup: ignore
ujson        # pyup: ignore

=== tests/requirements.txt ===
black==19.10b0
coverage==4.5.4
Cython==0.29.14;sys_platform!='win32'
flake8==3.7.9
flake8-quotes==2.1.1
isort==4.3.21
mypy==0.740
pycodestyle==2.5.0
pyflakes==2.1.1
pytest==5.3.1
pytest-cov==2.8.1
pytest-mock==1.12.1
pytest-sugar==0.9.2
twine==3.1.1

=== debian/changelog ===
pydantic (1.2-1ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: DoS in datetime_parse.py
    - debian/patches/CVE-2021-29510.patch: fix infinite loop in datetime
      parsing,switch to set a max datetime number
    - CVE-2021-29510

 -- Nick Galanis <nick.galanis@canonical.com>  Tue, 12 Dec 2023 16:50:21 +0000

pydantic (1.2-1) unstable; urgency=low

  * Non-maintainer upload (lowNMU)
  * New upstream version 1.2 (Closes: #940156, #946409)
  * Add dh-python build dependency
  * Push Standards-Version to 4.4.1. No changes required
  * Replace d/compat by debhelper-compat virtual package build dependency
  * Add Vcs- fields for Salsa (Closes: #946411)

 -- Ole Streicher <olebole@debian.org>  Sun, 08 Dec 2019 20:30:21 +0100

pydantic (0.30.1-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Jul 2019 20:11:08 -0300

=== debian/control ===
Source: pydantic
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all-dev (>= 3.6),
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
X-Python3-Version: >= 3.6
Homepage: https://github.com/samuelcolvin/pydantic
Vcs-Browser: https://salsa.debian.org/python-team/modules/pydantic
Vcs-Git: https://salsa.debian.org/python-team/modules/pydantic.git
Testsuite: autopkgtest-pkg-python

Package: python3-pydantic
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Data validation and settings management using Python type hinting
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.

=== debian/watch ===
version=3
https://github.com/samuelcolvin/pydantic/releases .*/archive/v([\d.]+)\.tar\.gz

## pydantic 1.7.3

=== debian/changelog ===
pydantic (1.7.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #977934, #977077
  * Add DPT to Uploaders; Closes: #977933
  * debian/patches
    - drop, no longer needed
  * debian/control
    - add pytest-mock (and nocheck profile) to b-d, needed for tests
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/rules
    - install examples

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jan 2021 02:31:43 -0500

pydantic (1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Banck ]
  * debian/patches/python3.9-support.patch: New patch, add support for
    python3.9, adapted from upstream commit 794d0bcc (Closes: #971918).

 -- Michael Banck <mbanck@debian.org>  Thu, 22 Oct 2020 22:25:54 +0200

## pydantic 1.7.4

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort pydantic tests
black = black -S -l 120 --target-version py38 pydantic tests

.PHONY: install-linting
install-linting:
	pip install -r tests/requirements-linting.txt

.PHONY: install-pydantic
install-pydantic:
	@echo 'temporarily pin pip to 20.2 while the issues with 20.3 get ironed out'
	python -m pip install -U wheel pip==20.2
	pip install -r requirements.txt
	SKIP_CYTHON=1 pip install -e .

.PHONY: install-testing
install-testing: install-pydantic
	pip install -r tests/requirements-testing.txt

.PHONY: install-docs
install-docs: install-pydantic
	pip install -U -r docs/requirements.txt

.PHONY: install-benchmarks
install-benchmarks: install-pydantic
	pip install -U -r benchmarks/requirements.txt

.PHONY: install
install: install-testing install-linting
	@echo 'installed development requirements'

.PHONY: build-trace
build-trace:
	python setup.py build_ext --force --inplace --define CYTHON_TRACE

.PHONY: build
build:
	python setup.py build_ext --inplace

.PHONY: format
format:
	$(isort)
	$(black)

.PHONY: lint
lint:
	flake8 pydantic/ tests/
	$(isort) --check-only --df
	$(black) --check --diff

.PHONY: check-dist
check-dist:
	python setup.py check -ms
	SKIP_CYTHON=1 python setup.py sdist
	twine check dist/*

.PHONY: mypy
mypy:
	mypy pydantic

.PHONY: test
test:
	pytest --cov=pydantic

.PHONY: testcov
testcov: test
	@echo "building coverage html"
	@coverage html

.PHONY: testcov-compile
testcov-compile: build-trace test
	@echo "building coverage html"
	@coverage html

.PHONY: test-examples
test-examples:
	@echo "running examples"
	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'python {} >/dev/null 2>&1 || (echo "{} failed")'

.PHONY: test-fastapi
test-fastapi:
	git clone https://github.com/tiangolo/fastapi.git
	./tests/test_fastapi.sh

.PHONY: all
all: lint mypy testcov

.PHONY: benchmark-all
benchmark-all:
	python benchmarks/run.py

.PHONY: benchmark-pydantic
benchmark-pydantic:
	python benchmarks/run.py pydantic-only

.PHONY: benchmark-json
benchmark-json:
	TEST_JSON=1 python benchmarks/run.py

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f pydantic/*.c pydantic/*.so
	python setup.py clean
	rm -rf site
	rm -rf docs/_build
	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html
	rm -rf fastapi/test.db
	rm -rf codecov.sh
	rm -rf coverage.xml

.PHONY: docs
docs:
	flake8 --max-line-length=80 docs/examples/
	python docs/build/main.py
	mkdocs build

.PHONY: docs-serve
docs-serve:
	python docs/build/main.py
	mkdocs serve

.PHONY: publish-docs
publish-docs:
	zip -r site.zip site
	@curl -H "Content-Type: application/zip" -H "Authorization: Bearer ${NETLIFY}" \
	      --data-binary "@site.zip" https://api.netlify.com/api/v1/sites/pydantic-docs.netlify.com/deploys

=== requirements.txt ===
# requirements for compilation and from setup.py so dependabot prompts us to test with latest version of these packages

Cython==0.29.21;sys_platform!='win32'
devtools==0.6.1
email-validator==1.1.1
dataclasses==0.6; python_version < '3.7'
typing-extensions==3.7.4.1; python_version < '3.8'
python-dotenv==0.14.0

=== benchmarks/requirements.txt ===
# no versions since benchmarks should always run with the most recent version of each package
devtools==0.6.1

python-dateutil
trafaret
django
djangorestframework
marshmallow
valideer
attr
cattrs
cerberus
voluptuous

=== docs/requirements.txt ===
ansi2html==1.5.2
flake8==3.8.4
flake8-quotes==3.2.0
mkdocs==1.1.2
mkdocs-exclude==1.0.2
mkdocs-material==6.1.0
markdown-include==0.6.0
sqlalchemy
orjson
ujson

=== debian/changelog ===
pydantic (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream point release.
    - Fixes CVE-2021-29510: Date and datetime parsing could cause an infinite
      loop by passing either 'infinity' or float('inf') (Closes: #988480)
  * Update watch file to version 4 with current uscan(1) recommended regex.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 16:05:17 -0400

=== debian/control ===
Source: pydantic
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all-dev (>= 3.6),
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.1
X-Python3-Version: >= 3.6
Homepage: https://github.com/samuelcolvin/pydantic
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
Testsuite: autopkgtest-pkg-python

Package: python3-pydantic
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Data validation and settings management using Python type hinting
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples docs/examples/*

## pydantic 1.8.2

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 .PHONY: install-pydantic
 install-pydantic:
-	@echo 'temporarily pin pip to 20.2 while the issues with 20.3 get ironed out'
-	python -m pip install -U wheel pip==20.2
+	python -m pip install -U wheel pip
 	pip install -r requirements.txt
 	SKIP_CYTHON=1 pip install -e .
 
@@ -26,7 +25,7 @@
 	pip install -U -r benchmarks/requirements.txt
 
 .PHONY: install
-install: install-testing install-linting
+install: install-testing install-linting install-docs
 	@echo 'installed development requirements'
 
 .PHONY: build-trace

=== requirements.txt ===
# requirements for compilation and from setup.py so dependabot prompts us to test with latest version of these packages

Cython==0.29.22;sys_platform!='win32'
devtools==0.6.1
email-validator==1.1.2
dataclasses==0.6; python_version < '3.7'
typing-extensions==3.7.4.3
python-dotenv==0.15.0

=== benchmarks/requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 cattrs
 cerberus
 voluptuous
+schematics

=== docs/requirements.txt ===
ansi2html==1.6.0
flake8==3.8.4
flake8-quotes==3.2.0
hypothesis==6.10.1
markdown-include==0.6.0
mdx-truly-sane-lists==1.2
mkdocs==1.1.2
mkdocs-exclude==1.0.2
mkdocs-material==7.0.3
sqlalchemy
orjson
ujson

=== debian/changelog ===
pydantic (1.8.2-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: Regular expression denial of service
    - debian/patches/CVE-2024-3772.patch: Add max length check to
      `validate_email`and added extra test
    - CVE-2024-3772
  * Fix FTBFS:
    - debian/patches/FTBFS-distutils.patch: Replaced distutils with packaging
      library in tests/test_utils.py and setup.py and added pytest-mock 3.10.0
      as a requirement in tests/requirements-testing.txt
    - debian/rules: Updated rules file to skip some tests

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Fri, 08 Nov 2024 14:03:41 +0200

pydantic (1.8.2-1) unstable; urgency=medium

  * New upstream release; Closes: #992891
  * debian/copyright
    - update upstream copyright notice
  * debian/control
    - add dotenv, email-validator, typing-extensions to b-d, needed for tests

 -- Sandro Tosi <morph@debian.org>  Tue, 05 Oct 2021 22:41:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: pydantic
 Section: python
 Priority: optional
-Maintainer: Michael Banck <mbanck@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 10),
                dh-python,
                python3-all-dev (>= 3.6),
+               python3-dotenv <!nocheck>,
+               python3-email-validator <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-setuptools,
+               python3-typing-extensions <!nocheck>,
 Standards-Version: 4.5.1
 X-Python3-Version: >= 3.6
 Homepage: https://github.com/samuelcolvin/pydantic

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+export PYBUILD_TEST_ARGS=-Wignore -k "not (test_namedtuple or test_namedtuple_schema or test_hashable_required or test_str_bytes or test_annotation_inheritance or test_field_type_display or test_modify_fields or test_generic_name or test_display_as_type)" 
+
 %:
 	dh $@ --with=python3 --buildsystem=pybuild

## pydantic 1.9.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 .PHONY: install-linting
 install-linting:
 	pip install -r tests/requirements-linting.txt
+	pre-commit install
 
 .PHONY: install-pydantic
 install-pydantic:
@@ -78,7 +79,7 @@
 
 .PHONY: test-fastapi
 test-fastapi:
-	git clone https://github.com/tiangolo/fastapi.git
+	git clone https://github.com/tiangolo/fastapi.git --single-branch
 	./tests/test_fastapi.sh
 
 .PHONY: all
@@ -99,9 +100,9 @@
 .PHONY: clean
 clean:
 	rm -rf `find . -name __pycache__`
-	rm -f `find . -type f -name '*.py[co]' `
-	rm -f `find . -type f -name '*~' `
-	rm -f `find . -type f -name '.*~' `
+	rm -f `find . -type f -name '*.py[co]'`
+	rm -f `find . -type f -name '*~'`
+	rm -f `find . -type f -name '.*~'`
 	rm -rf .cache
 	rm -rf .pytest_cache
 	rm -rf .mypy_cache
@@ -117,7 +118,6 @@
 	rm -rf docs/_build
 	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html
 	rm -rf fastapi/test.db
-	rm -rf codecov.sh
 	rm -rf coverage.xml
 
 .PHONY: docs

=== requirements.txt ===
# requirements for compilation and from setup.py so dependabot prompts us to test with latest version of these packages

Cython==0.29.26;sys_platform!='win32'
devtools==0.8.0
email-validator==1.1.3
dataclasses==0.6; python_version < '3.7'
typing-extensions==4.0.1
python-dotenv==0.19.2

=== benchmarks/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # no versions since benchmarks should always run with the most recent version of each package
-devtools==0.6.1
+devtools==0.8.0
 
 python-dateutil
 trafaret

=== docs/requirements.txt ===
ansi2html==1.6.0
flake8==4.0.1
flake8-quotes==3.3.1
hypothesis==6.31.6
markdown-include==0.6.0
mdx-truly-sane-lists==1.2
mkdocs==1.2.3
mkdocs-exclude==1.0.2
mkdocs-material==8.1.3
sqlalchemy
orjson
ujson

=== debian/changelog ===
pydantic (1.9.0-1ubuntu1) kinetic; urgency=medium

  * debian/rules: undefine V environment variable to avoid breaking unit test
    assumptions (LP: #1981341).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 11 Jul 2022 11:43:55 -0400

pydantic (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1002387
  * Standards-Version: 4.6.0
  * debhelper-compat 13 (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 31 Dec 2021 20:46:57 +0100

=== debian/control ===
Source: pydantic
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-dotenv <!nocheck>,
               python3-email-validator <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
               python3-typing-extensions <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
Homepage: https://github.com/samuelcolvin/pydantic
Rules-Requires-Root: no

Package: python3-pydantic
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Data validation and settings management using Python type hinting
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-Wignore

# The launchpad build environment sets V=1 in the
# environment by default, which conflicts with
# this package's tests (LP: #1981341).
undefine V

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples docs/examples/*

## pydantic 1.10.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 .DEFAULT_GOAL := all
-isort = isort pydantic tests
-black = black -S -l 120 --target-version py38 pydantic tests
+sources = pydantic tests docs/build
+isort = isort $(sources)
+black = black -S -l 120 --target-version py38 $(sources)
 
 .PHONY: install-linting
 install-linting:
@@ -21,10 +22,6 @@
 install-docs: install-pydantic
 	pip install -U -r docs/requirements.txt
 
-.PHONY: install-benchmarks
-install-benchmarks: install-pydantic
-	pip install -U -r benchmarks/requirements.txt
-
 .PHONY: install
 install: install-testing install-linting install-docs
 	@echo 'installed development requirements'
@@ -39,12 +36,13 @@
 
 .PHONY: format
 format:
+	pyupgrade --py37-plus  --exit-zero-even-if-changed `find $(sources) -name "*.py" -type f`
 	$(isort)
 	$(black)
 
 .PHONY: lint
 lint:
-	flake8 pydantic/ tests/
+	flake8 $(sources)
 	$(isort) --check-only --df
 	$(black) --check --diff
 
@@ -56,7 +54,15 @@
 
 .PHONY: mypy
 mypy:
-	mypy pydantic
+	mypy pydantic docs/build
+
+.PHONY: pyupgrade
+pyupgrade:
+	pyupgrade --py37-plus `find pydantic tests -name "*.py" -type f`
+
+.PHONY: pyright
+pyright:
+	cd tests/pyright && pyright
 
 .PHONY: test
 test:
@@ -84,18 +90,6 @@
 
 .PHONY: all
 all: lint mypy testcov
-
-.PHONY: benchmark-all
-benchmark-all:
-	python benchmarks/run.py
-
-.PHONY: benchmark-pydantic
-benchmark-pydantic:
-	python benchmarks/run.py pydantic-only
-
-.PHONY: benchmark-json
-benchmark-json:
-	TEST_JSON=1 python benchmarks/run.py
 
 .PHONY: clean
 clean:

## pydantic 1.10.4

=== requirements.txt ===
# requirements for compilation and from setup.py so dependabot prompts us to test with latest version of these packages

Cython==0.29.32;sys_platform!='win32'
devtools==0.9.0
email-validator==1.2.1
dataclasses==0.6; python_version < '3.7'
typing-extensions==4.3.0
python-dotenv==0.20.0

=== docs/requirements.txt ===
autoflake==1.5.3
ansi2html==1.8.0
flake8==5.0.4
flake8-quotes==3.3.1
hypothesis==6.54.4
markdown-include==0.7.0
mdx-truly-sane-lists==1.3
mkdocs==1.3.1
mkdocs-exclude==1.0.2
mkdocs-material==8.4.2
pyupgrade==2.37.3
sqlalchemy
orjson
ujson

=== debian/changelog ===
pydantic (1.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 22 Jan 2023 11:40:15 +0100

pydantic (1.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix watch file to adapt to GitHub changes.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Nov 2022 18:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pydantic
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
+Maintainer: Michael Banck <mbanck@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -22,7 +21,6 @@
 
 Package: python3-pydantic
 Architecture: all
-Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-Wignore

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples docs/examples/*

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/samuelcolvin/pydantic/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pydantic 1.10.14

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 Cython==0.29.32;sys_platform!='win32'
 devtools==0.9.0
-email-validator==1.2.1
+email-validator==2.0.0.post2
 dataclasses==0.6; python_version < '3.7'
 typing-extensions==4.3.0
 python-dotenv==0.20.0

=== docs/requirements.txt ===
autoflake==1.5.3
ansi2html==1.8.0
flake8==5.0.4
flake8-quotes==3.3.1
hypothesis==6.54.4
markdown-include==0.8.0
mdx-truly-sane-lists==1.3
mkdocs==1.5.3
mkdocs-exclude==1.0.2
mkdocs-material==9.5.1
pyupgrade==2.37.3
sqlalchemy
orjson
ujson
# waiting for https://github.com/jimporter/mike/issues/154
git+https://github.com/jimporter/mike.git

=== debian/changelog ===
pydantic (1.10.14-1) unstable; urgency=medium

  * Team upload

  [ Matthias Klose ]
  * Update watch file for unconstrained version.

  [ Andreas Tille ]
  * New upstream version of 1.10 series
    Closes: #1058324
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Add upstream metadata
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2024 21:19:27 +0100

pydantic (1.10.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

  [ Nick Rosbrook ]
  * debian/rules: undefine V environment variable to avoid breaking unit test
    assumptions (LP: #1981341).

  [ James Page ]
  * d/control: Enable pybuild autopackagetest.
  * d/p/py3.12-skiptest.patch: Skip tests which are incompatible with
    Python >= 3.12.

  [ Matthias Klose ]
  * Update watch file for latest 1.x version.
  * Build-depend on cython3-legacy.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Jan 2024 12:26:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Maintainer: Michael Banck <mbanck@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               cython3-legacy,
                python3-all-dev,
                python3-dotenv <!nocheck>,
                python3-email-validator <!nocheck>,
@@ -13,14 +14,14 @@
                python3-pytest-mock <!nocheck>,
                python3-setuptools,
                python3-typing-extensions <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
 Homepage: https://github.com/samuelcolvin/pydantic
 Rules-Requires-Root: no
 
 Package: python3-pydantic
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/pydantic/pydantic/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pydantic 1.10.17

=== requirements.txt ===
# requirements for compilation and from setup.py so dependabot prompts us to test with latest version of these packages

Cython==0.29.37;sys_platform!='win32'
devtools==0.9.0
email-validator==2.0.0.post2
dataclasses==0.6; python_version < '3.7'
typing-extensions>=4.3.0,<5
python-dotenv==0.20.0

=== docs/requirements.txt ===
autoflake==1.5.3
ansi2html==1.8.0
flake8==6.1.0
flake8-quotes==3.4.0
hypothesis==6.79.1
markdown-include==0.8.0
mdx-truly-sane-lists==1.3
mkdocs==1.5.3
mkdocs-exclude==1.0.2
mkdocs-material==9.5.1
pyupgrade==2.37.3
sqlalchemy
orjson
ujson
mike==2.1.1

=== debian/changelog ===
pydantic (1.10.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.17
  * Drop upstreamed patch
  * Drop debian/gitlab-ci.yml
  * Use python3-pydantic.examples to install examples
  * Fix `test_assert_raises_validation_error` with pytest-8 (#8995) (#9024)
    (Closes: #1066750)
  * Fix d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Jun 2024 10:37:45 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-Wignore

# The launchpad build environment sets V=1 in the
# environment by default, which conflicts with
# this package's tests (LP: #1981341).
undefine V

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="searchmode=plain" \
    https://api.github.com/repos/pydantic/pydantic/releases?per_page=100 \
    https://github.com/pydantic/pydantic/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## pydantic 2.8.2

=== debian/changelog ===
pydantic (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 22:00:35 +0100

pydantic (2.4.2-3) unstable; urgency=medium

  * Team upload.
  * pydantic 2 transition: python3-pydantic Breaks:
    python3-dirty-equals (<< 0.8~),
    python3-djantic (<< 0.7.0-5~),
    python3-maison (<< 2~)
    Closes: #1080179.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Aug 2024 11:32:59 +0200

pydantic (2.4.2-2) unstable; urgency=medium

  * Team Upload.
  * Add a patch to relax the dependency on pydantic-core.
    That would previously cause problems in other packages
    using pkg_resources to resolve their dependencies.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 18:03:04 +0200

pydantic (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.2 (Closes: #1052028, #1066750)
  * Remove patch applied upstream
  * Add new build-dependencies:
    * pybuild-plugin-pyproject
    * python3-annotated-types
    * python3-dirty-equals
    * python3-fake-factory
    * python3-hatch-fancy-pypi-readme
    * python3-pydantic-core

  [ Andreas Tille ]
  * Make DPT maintainer
  * Depends: python3-email-validator
    Closes: #1065082

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 14:40:50 +0200

=== debian/control ===
Source: pydantic
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               cython3,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-annotated-types <!nocheck>,
               python3-cloudpickle <!nocheck>,
               python3-dirty-equals <!nocheck>,
               python3-dotenv <!nocheck>,
               python3-email-validator (>= 2.0) <!nocheck>,
               python3-fake-factory <!nocheck>,
               python3-hatch-fancy-pypi-readme,
               python3-packaging (>= 23.2) <!nocheck>,
               python3-pydantic-core (>= 2.20.1),
               python3-pytest (>= 8.2.2) <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-codspeed (>= 2.2.0) <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-rich <!nocheck>,
               python3-setuptools,
               python3-typing-extensions <!nocheck>,
               python3-tz <!nocheck>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
Homepage: https://github.com/samuelcolvin/pydantic
Rules-Requires-Root: no

Package: python3-pydantic
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pydantic-core,
         python3-email-validator
Breaks: python3-dirty-equals (<< 0.8~),
        python3-djantic (<< 0.7.0-5~),
        python3-maison (<< 2~)
Description: Data validation and settings management using Python type hinting
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_TEST_ARGS= -k '    not test_address_valid and not north_star \
                              and not test_callable_fallback_with_non_serializable_default \
                              and not test_address_invalid \
                              and not test_string_fails \
                              and not test_use_bare \
                              and not test_use_no_fields \
                              and not test_validator_bad_fields_throws_config \
                              and not test_assert_raises_validation_error \
                              and not test_version_info \
                             ' \
                          -W ignore::pydantic.warnings.PydanticDeprecatedSince20

# The launchpad build environment sets V=1 in the
# environment by default, which conflicts with
# this package's tests (LP: #1981341).
undefine V

%:
	dh $@ --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples docs/examples/*

## pydantic 2.9.1

=== debian/changelog ===
pydantic (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 00:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,12 @@
                python3-email-validator (>= 2.0) <!nocheck>,
                python3-fake-factory <!nocheck>,
                python3-hatch-fancy-pypi-readme,
+# This should be (>= 4.23.0) to match pyproject.toml, but that isn't
+# packaged in Debian yet (https://bugs.debian.org/1081579), and the tests
+# seem to work with 4.19.2 for the moment.
+               python3-jsonschema <!nocheck>,
                python3-packaging (>= 23.2) <!nocheck>,
-               python3-pydantic-core (>= 2.20.1),
+               python3-pydantic-core (>= 2.23.3),
                python3-pytest (>= 8.2.2) <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-codspeed (>= 2.2.0) <!nocheck>,

## pydantic 2.9.2

=== debian/changelog ===
pydantic (2.9.2-2) unstable; urgency=medium

  * Team upload.
  * Drop patch that relaxed the pydantic-core dependency.  We shouldn't do
    this in general, as it isn't always accurate; instead we should apply
    targeted relaxations when we need them and have tested them.  Tighten
    (build-)dependencies to match.
  * Remove some manual dependencies now that dh-python gets them right.
  * Run more tests that were previously deselected by the packaging.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 11:34:36 +0000

pydantic (2.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Sep 2024 16:23:21 +0100

pydantic (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Breaks: python3-pydantic-settings (<< 2.5.0).

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 10:43:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 6.20241024~),
                dh-sequence-python3,
                cython3,
                pybuild-plugin-pyproject,
@@ -21,7 +22,8 @@
 # seem to work with 4.19.2 for the moment.
                python3-jsonschema <!nocheck>,
                python3-packaging (>= 23.2) <!nocheck>,
-               python3-pydantic-core (>= 2.23.3),
+               python3-pydantic-core (>= 2.23.4),
+               python3-pydantic-core (<< 2.23.5~),
                python3-pytest (>= 8.2.2) <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-codspeed (>= 2.2.0) <!nocheck>,
@@ -41,11 +43,11 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-pydantic-core,
          python3-email-validator
 Breaks: python3-dirty-equals (<< 0.8~),
         python3-djantic (<< 0.7.0-5~),
-        python3-maison (<< 2~)
+        python3-maison (<< 2~),
+        python3-pydantic-settings (<< 2.5.0),
 Description: Data validation and settings management using Python type hinting
  pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
  validate that untrusted data takes the desired form. There is also support for

## pydantic 2.10.4

=== debian/changelog ===
pydantic (2.10.4-2) unstable; urgency=medium

  * Drop unnecessary Build-Depends: python3-pytest-codspeed.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 10:33:16 +0000

pydantic (2.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 23:19:15 +0000

pydantic (2.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Dec 2024 09:56:23 +0000

pydantic (2.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Nov 2024 00:17:57 +0000

pydantic (2.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:20:06 +0000

## pydantic 2.10.5

=== debian/changelog ===
pydantic (2.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 18:04:04 +0000

## pydantic 2.10.6

=== Makefile ===
# .DEFAULT_GOAL := all
sources = pydantic tests docs/plugins

.PHONY: .uv  ## Check that uv is installed
.uv:
	@uv -V || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: .pre-commit  ## Check that pre-commit is installed
.pre-commit: .uv
	@uv run pre-commit -V || uv pip install pre-commit

.PHONY: install  ## Install the package, dependencies, and pre-commit for local development
install: .uv
	uv sync --frozen --group all --all-extras
	uv pip install pre-commit
	pre-commit install --install-hooks

.PHONY: rebuild-lockfiles  ## Rebuild lockfiles from scratch, updating all dependencies
rebuild-lockfiles: .uv
	uv lock --upgrade

.PHONY: format  ## Auto-format python source files
format: .uv
	uv run ruff check --fix $(sources)
	uv run ruff format $(sources)

.PHONY: lint  ## Lint python source files
lint: .uv
	uv run ruff check $(sources)
	uv run ruff format --check $(sources)

.PHONY: codespell  ## Use Codespell to do spellchecking
codespell: .pre-commit
	pre-commit run codespell --all-files

.PHONY: typecheck  ## Perform type-checking
typecheck: .pre-commit
	pre-commit run typecheck --all-files

.PHONY: test-mypy  ## Run the mypy integration tests
test-mypy: .uv
	uv run coverage run -m pytest tests/mypy --test-mypy

.PHONY: test-mypy-update  ## Update the mypy integration tests for the current mypy version
test-mypy-update: .uv
	uv run coverage run -m pytest tests/mypy --test-mypy --update-mypy

.PHONY: test-mypy-update-all  ## Update the mypy integration tests for all mypy versions
test-mypy-update-all: .uv
	rm -rf tests/mypy/outputs
	uv pip install mypy==1.10.1 && make test-mypy-update
	uv pip install mypy==1.11.2 && make test-mypy-update
	uv pip install mypy==1.12.0 && make test-mypy-update

.PHONY: test-typechecking-pyright  ## Typechecking integration tests (Pyright)
test-typechecking-pyright: .uv
	uv run bash -c 'cd tests/typechecking && pyright --version && pyright -p pyproject.toml'

.PHONY: test-typechecking-mypy   ## Typechecking integration tests (Mypy). Not to be confused with `test-mypy`.
test-typechecking-mypy: .uv
	uv run bash -c 'cd tests/typechecking && mypy --version && mypy --cache-dir=/dev/null --config-file pyproject.toml .'

.PHONY: test  ## Run all tests, skipping the type-checker integration tests
test: .uv
	uv run coverage run -m pytest --durations=10

.PHONY: benchmark  ## Run all benchmarks
benchmark: .uv
	uv run coverage run -m pytest --durations=10 --benchmark-enable tests/benchmarks

.PHONY: testcov  ## Run tests and generate a coverage report, skipping the type-checker integration tests
testcov: test
	@echo "building coverage html"
	@uv run coverage html
	@echo "building coverage lcov"
	@uv run coverage lcov

.PHONY: test-examples  ## Run only the tests from the documentation
test-examples: .uv
	@echo "running examples"
	@find docs/examples -type f -name '*.py' | xargs -I'{}' sh -c 'uv run python {} >/dev/null 2>&1 || (echo "{} failed")'

.PHONY: test-fastapi  ## Run the FastAPI tests with this version of pydantic
test-fastapi:
	git clone https://github.com/tiangolo/fastapi.git --single-branch
	./tests/test_fastapi.sh

.PHONY: test-pydantic-settings  ## Run the pydantic-settings tests with this version of pydantic
test-pydantic-settings: .uv
	git clone https://github.com/pydantic/pydantic-settings.git --single-branch
	bash ./tests/test_pydantic_settings.sh

.PHONY: test-pydantic-extra-types  ## Run the pydantic-extra-types tests with this version of pydantic
test-pydantic-extra-types: .uv
	git clone https://github.com/pydantic/pydantic-extra-types.git --single-branch
	bash ./tests/test_pydantic_extra_types.sh

.PHONY: test-no-docs  # Run all tests except the docs tests
test-no-docs: .uv
	uv run pytest tests --ignore=tests/test_docs.py

.PHONY: all  ## Run the standard set of checks performed in CI
all: lint typecheck codespell testcov

.PHONY: clean  ## Clear local caches and build artifacts
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]'`
	rm -f `find . -type f -name '*~'`
	rm -f `find . -type f -name '.*~'`
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .ruff_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -rf site
	rm -rf docs/_build
	rm -rf docs/.changelog.md docs/.version.md docs/.tmp_schema_mappings.html
	rm -rf fastapi/test.db
	rm -rf coverage.xml

.PHONY: docs  ## Generate the docs
docs:
	uv run mkdocs build --strict

.PHONY: help  ## Display this message
help:
	@grep -E \
		'^.PHONY: .*?## .*$$' $(MAKEFILE_LIST) | \
		sort | \
		awk 'BEGIN {FS = ".PHONY: |## "}; {printf "\033[36m%-19s\033[0m %s\n", $$2, $$3}'

.PHONY: update-v1  ## Update V1 namespace
update-v1:
	uv run ./update_v1.sh

=== debian/changelog ===
pydantic (2.10.6-2) unstable; urgency=medium

  * Adjust test for rust-url 2.5.4 (closes: #1102283).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 10:19:19 +0100

pydantic (2.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2025 19:54:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pydantic
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>,
+           Colin Watson <cjwatson@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
@@ -17,20 +18,16 @@
                python3-email-validator (>= 2.0) <!nocheck>,
                python3-fake-factory <!nocheck>,
                python3-hatch-fancy-pypi-readme,
-# This should be (>= 4.23.0) to match pyproject.toml, but that isn't
-# packaged in Debian yet (https://bugs.debian.org/1081579), and the tests
-# seem to work with 4.19.2 for the moment.
                python3-jsonschema <!nocheck>,
                python3-packaging (>= 23.2) <!nocheck>,
-               python3-pydantic-core (>= 2.23.4),
-               python3-pydantic-core (<< 2.23.5~),
+               python3-pydantic-core (>= 2.27.2-2~),
+               python3-pydantic-core (<< 2.27.3~),
                python3-pytest (>= 8.2.2) <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
-               python3-pytest-codspeed (>= 2.2.0) <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-rich <!nocheck>,
                python3-setuptools,
-               python3-typing-extensions <!nocheck>,
+               python3-typing-extensions (>= 4.12.2) <!nocheck>,
                python3-tz <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-Wignore

# The launchpad build environment sets V=1 in the
# environment by default, which conflicts with
# this package's tests (LP: #1981341).
undefine V

%:
	dh $@ --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples docs/examples/*

## pydantic 2.12.0~a1

=== debian/changelog ===
pydantic (2.12.0~a1-1) unstable; urgency=medium

  * d/watch: Accept pre-releases.
  * New upstream pre-release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 16:37:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,16 @@
                python3-hatch-fancy-pypi-readme,
                python3-jsonschema <!nocheck>,
                python3-packaging (>= 23.2) <!nocheck>,
-               python3-pydantic-core (>= 2.27.2-2~),
-               python3-pydantic-core (<< 2.27.3~),
+               python3-pydantic-core (>= 2.37.2),
+               python3-pydantic-core (<< 2.37.3),
                python3-pytest (>= 8.2.2) <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pytest-run-parallel <!nocheck>,
                python3-rich <!nocheck>,
                python3-setuptools,
-               python3-typing-extensions (>= 4.12.2) <!nocheck>,
+               python3-typing-extensions (>= 4.14.1) <!nocheck>,
+               python3-typing-inspection <!nocheck>,
                python3-tz <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
-
-export PYBUILD_TEST_ARGS=-Wignore
 
 # The launchpad build environment sets V=1 in the
 # environment by default, which conflicts with

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pydantic-$1.tar.gz%" \
   https://github.com/pydantic/pydantic/tags \
   (?:.*?/)?v?@ANY_VERSION@\.tar\.gz debian uupdate

## pydantic 2.12.2

=== debian/changelog ===
pydantic (2.12.2-1) unstable; urgency=medium

  * Revert "d/watch: Accept pre-releases".
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Oct 2025 11:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
                python3-hatch-fancy-pypi-readme,
                python3-jsonschema <!nocheck>,
                python3-packaging (>= 23.2) <!nocheck>,
-               python3-pydantic-core (>= 2.37.2),
-               python3-pydantic-core (<< 2.37.3),
+               python3-pydantic-core (>= 2.41.4),
+               python3-pydantic-core (<< 2.41.5),
                python3-pytest (>= 8.2.2) <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-mock <!nocheck>,
@@ -29,9 +29,9 @@
                python3-rich <!nocheck>,
                python3-setuptools,
                python3-typing-extensions (>= 4.14.1) <!nocheck>,
-               python3-typing-inspection <!nocheck>,
+               python3-typing-inspection (>= 0.4.2) <!nocheck>,
                python3-tz <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
 Homepage: https://github.com/samuelcolvin/pydantic
